public static interface SlackEndpointBuilderFactory.SlackBuilders
| Modifier and Type | Method and Description |
|---|---|
default SlackEndpointBuilderFactory.SlackEndpointBuilder |
slack(String path)
Slack (camel-slack)
Send and receive messages to/from Slack.
|
default SlackEndpointBuilderFactory.SlackEndpointBuilder |
slack(String componentName,
String path)
Slack (camel-slack)
Send and receive messages to/from Slack.
|
default SlackEndpointBuilderFactory.SlackEndpointBuilder slack(String path)
slack:channel
Path parameter: channel (required)
The channel name (syntax #name) or slackuser (syntax userName) to
send a message directly to an user.path - channeldefault SlackEndpointBuilderFactory.SlackEndpointBuilder slack(String componentName, String path)
slack:channel
Path parameter: channel (required)
The channel name (syntax #name) or slackuser (syntax userName) to
send a message directly to an user.componentName - to use a custom component name for the endpoint
instead of the default namepath - channelApache Camel